<!doctype html>
<? require("../conectar.php");
   require("funciones.php");
?>
<html>
<head>
<meta charset="utf-8">
<title>Plan de pago</title>
<style type="text/css">
table , tr{
}
td {
	border-top: medium solid #000000;
	border-bottom: medium solid #000000;
	border-right: medium none #000000;
	border-left: medium none #000000;
	background-color: #999999;
	border-collapse: collapse;
}
table  {
	font-family: Baskerville, "Palatino Linotype", Palatino, "Century Schoolbook L", "Times New Roman", serif;
	color: #FFFFFF;
	border-collapse: collapse;
}
body {
	background-color: #FFFFFF;
}
table th {
	background-color: #000000;
}
.caja {
	color: #FFFFFF;
	border-collapse: collapse;
	border-style: none;
	background-color: #999999;
}
</style>
<script>

function suma()
{

var tope=document.getElementById("tope").value;
var  sumar=0;
var  renta=0;
for(x=1;x<=tope;x++)
		{
		if(document.getElementById("check"+x).checked)
			{ 
			renta=document.getElementById("rentas"+x).value;
			renta=parseFloat(renta);
			sumar=parseFloat(sumar)+renta;
			}
		}
	document.getElementById("totalapagar").value=sumar.toFixed(2);	
}
</script>
</head>

<body>
<?
function fechacorta($f)
{
list($anio,$mes,$dia)=explode("-",$f);
if($mes=="01"){$mes="Ene";}
if($mes=="02"){$mes="Feb";}
if($mes=="03"){$mes="Mar";}
if($mes=="04"){$mes="Abr";}
if($mes=="05"){$mes="May";}
if($mes=="06"){$mes="Jun";}
if($mes=="07"){$mes="Jul";}
if($mes=="08"){$mes="Ago";}
if($mes=="09"){$mes="Sep";}
if($mes=="10"){$mes="Oct";}
if($mes=="11"){$mes="Nov";}
if($mes=="12"){$mes="Dic";}
$anio=substr($anio,2);
if(strlen($dia)<2){$dia="0".$dia;}
$f=$dia."-".$mes."-".$anio;
return($f);
}
$tarifa=$_GET["tarifa"];
$estacion=$_GET["estacion"];
$camaex=$_GET["camaex"];
$cuna=$_GET["cuna"];
$mascota=$_GET["mascota"];
$npers=$_GET["npers"];
$descuento=$_GET["descuento"];
$comples=$_GET["comples"];
$depars=$_GET["depars"];
$fini=$_GET["fini"];
$ffin=$_GET["ffin"];
$cliente=$_GET["cliente"];
$moneda=$_GET["moneda"];
$dolar=$_GET["dolar"];
$iva=$_GET["iva"];

//precios por persona
 $pexnoch=5;
 $pexsem=35;
 $pexmes=120;

//precios estacionamiento
 $estnoch=10;
 $estsem=60;
 $estmes=240;

//precios cama extra
 $camanoch=15;
 $camasem=75;
 $camames=130;

//precio cuna
 $precuna=5;

//precio mascota
 $masnoche=30;
 $massem=180;
 $masmes=250;


////////empieza calcula de tiempo//////////

				 list($anioies,$mesies,$diaies)=explode("-",$fini);
				 list($aniofes,$mesfes,$diafes)=explode("-",$ffin);
				 
				 $mesextraes=$aniofes-$anioies;
				 $mesfes1=$mesfes+($mesextraes*12);
				 $meses=$mesfes1-$mesies;
				 
				 if($diafes<$diaies)
				 {
				 $meses--;
				 if($meses==0&&$mesextraes>0)
				 { $meses=0; }
				 $numero = cal_days_in_month(CAL_GREGORIAN, $mesfes, $aniofes); 
				$diafes=$diafes+$numero;
				}
				$restodias=$diafes-$diaies;
				while($restodias>=7)
				 {
				 $restodias=$restodias-7;
				 
				 $semred++;
				 }
		
				while($meses>=12)
				 {
				 $anios++;
				 $meses=$meses-12;
				 }
////////++++++++++termina calcula de tiempo++++++++//////////

/////////EMPIEZA EL CALCULO de HOSPEDAJE /////////////////

if($tarifa=="ta"){$tabla="tarifa_alta";}
if($tarifa=="tb"){$tabla="tarifa_baja";}
if($tarifa=="tm"){$tabla="tarifa_media";}
$sql="SELECT t.noche,t.semana,t.mes,t.2a4,t.5a8,t.anual, d.limite, d.capacidad, d.no_depto, com.nombre from $tabla as t
	INNER JOIN departamentos as d ON d.id_departamento=t.id_departamento 
	INNER JOIN complejo as com ON d.id_complejo=com.id_complejo 
	WHERE d.clave='$depars' ";
$tari=mysql_query($sql);
$tari=mysql_fetch_array($tari);
if($tari["limite"]==$tari["capacidad"]){$npers=0;}
if($anios>0){
 $mensual=$tari["anual"];
 $subtotal=(($anios*12)+$meses)*$tari["anual"];
 }
 elseif($meses==1){

$subtotal=$subtotal+(($meses)*($tari["mes"])); 
$mensual=$tari["mes"];
if($estacion=="true"){$subtotal=$subtotal+($estmes*$meses);$mensual=$mensual+$estmes;} 
if($cuna=="true"){$subtotal=$subtotal+($precuna*$meses);$mensual=$mensual+($precuna*30);} 
if($mascota=="true"){$subtotal=$subtotal+($masmes*$meses);$mensual=$mensual+$masmes;} 
if($npers>0){$subtotal=$subtotal+($pexmes*$npers*$meses);$mensual=$mensual+($pexmes*$npers);} 
if($camaex>0){$subtotal=$subtotal+($camames*$camaex*$meses);$mensual=$mensual+($camames*$camaex);} 
}
elseif($meses>1&&$meses<=4)
{
$subtotal=$subtotal+($meses*$tari["2a4"]); 
$mensual=$tari["2a4"];
if($estacion=="true"){$subtotal=$subtotal+($estmes*$meses);$mensual=$mensual+$estmes;} 
if($cuna=="true"){$subtotal=$subtotal+($precuna*$meses);$mensual=$mensual+($precuna*30);} 
if($mascota=="true"){$subtotal=$subtotal+($masmes*$meses);$mensual=$mensual+$masmes;} 
if($npers>0){$subtotal=$subtotal+($pexmes*$npers*$meses);$mensual=$mensual+($pexmes*$npers);} 
if($camaex>0){$subtotal=$subtotal+($camames*$camaex*$meses);$mensual=$mensual+($camames*$camaex);} 
}
elseif($meses>4&&$meses<=11)
{
$subtotal=$subtotal+($meses*$tari["5a8"]);
$mensual=$tari["5a8"];
if($estacion=="true"){$subtotal=$subtotal+($estmes*$meses);$mensual=$mensual+$estmes;} 
if($cuna=="true"){$subtotal=$subtotal+($precuna*$meses);$mensual=$mensual+($precuna*30);} 
if($mascota=="true"){$subtotal=$subtotal+($masmes*$meses);$mensual=$mensual+$masmes;} 
if($npers>0){$subtotal=$subtotal+($pexmes*$npers*$meses);$mensual=$mensual+($pexmes*$npers);} 
if($camaex>0){$subtotal=$subtotal+($camames*$camaex*$meses);$mensual=$mensual+($camames*$camaex);} 
}
if($semred>0)
{
$subtotal2=$subtotal2+($semred*$tari["semana"]);
$semanal=$tari["semana"]*$semred;
if($estacion=="true"){$subtotal2=$subtotal2+($estsem*$semred);$semanal=$semanal+($estsem*$semred);} 
if($cuna=="true"){$subtotal2=$subtotal2+($precuna*$semred);$semanal=$semanal+($precuna*$semred*7);} 
if($mascota=="true"){$subtotal2=$subtotal2+($massem*$semred);$semanal=$semanal+($massem*$semred);} 
if($npers>0){$subtotal2=$subtotal2+($pexsem*$npers*$semred);$semanal=$semanal+($pexsem*$npers*$semred);} 
if($camaex>0){$subtotal2=$subtotal2+($camasem*$camaex*$semred);$semanal=$semanal+($camasem*$camaex*$semred);} 
}
if($restodias>0)
{
$subtotal3=$subtotal3+($restodias*$tari["noche"]);
$nochal=$tari["noche"]*$restodias;
if($estacion=="true"){$subtotal3=$subtotal3+($estnoch*$restodias);$nochal=$nochal+($estnoch*$restodias);} 
if($cuna=="true"){$subtotal3=$subtotal3+($precuna*$restodias);$nochal=$nochal+($precuna*$restodias);} 
if($mascota=="true"){$subtotal3=$subtotal3+($masnoche*$restodias);$nochal=$nochal+($masnoche*$restodias);} 
if($npers>0){$subtotal3=$subtotal3+($pexnoch*$npers*$restodias);$nochal=$nochal+($pexnoch*$npers*$restodias);} 
if($camaex>0){$subtotal3=$subtotal3+($camanoch*$camaex*$restodias);$nochal=$nochal+($camanoch*$camaex*$restodias);} 
}

$subtotalcondesc=$subtotal-(($descuento/100)*$subtotal);
$subtotal2condesc=$subtotal2-(($descuento/100)*$subtotal2);
$subtotal3condesc=$subtotal3-(($descuento/100)*$subtotal3);
$mensualcondesc=$mensual-(($descuento/100)*$mensual);
$semanalcondesc=$semanal-(($descuento/100)*$semanal);
$nochalcondesc=$nochal-(($descuento/100)*$nochal);

if($moneda=="MXN")
{ 
$subtotalcondesc=$subtotalcondesc*$dolar;
$subtotal2condesc=$subtotal2condesc*$dolar;
$subtotal3condesc=$subtotal3condesc*$dolar;
$mensualcondesc=$mensualcondesc*$dolar;
$semanalcondesc=$semanalcondesc*$dolar;
$nochalcondesc=$nochalcondesc*$dolar;

}

/////////TERMINA EL CALCULO de HOSPEDAJE /////////////////


$y=1;

?>



<center>
<form action="ordendepago.php" method="post">
<input type="hidden" name="iva" id="iva" value="<?echo $iva;?>">
<input type="hidden" name="ejecu" id="ejecu" value="<?echo $ejecu;?>">
<input type="hidden" name="no_depto" id="no_depto" value="<?echo $tari["id_departamento"];?>">
<input type="hidden" name="nomcom" id="nomcom" value="<?echo $tari["nombre"];?>">
<table  height="236" border="1">
  <tr>
    <th colspan="6" align="center">Plan de Pagos (<?echo$depars;?>)</th>
  </tr>
  <tr>
    <td colspan="6">Huesped: <input name="huesped" type="text" class="caja" id="huesped" readonly value="<?echo$cliente?>"></td>
  </tr>
  <tr>
    <th>Concepto de pago</th>
    <th>Periodo </th>
    <th>fecha de inicio/fecha de termino</th>
    <th>Status</th>
    <th>Monto</th>
    <th>Elige lo que quieres pagar</th>
  </tr>
  <tr>
    <td>Deposito en garantia</td>
    <td><? if($anios>0){ echo "$anios ";?>a«Ðos <? }if($meses>0){echo htmlentities("$meses meses ");}if($semred>0){echo htmlentities("$semred semanas ");}if($restodias>0){echo htmlentities("$restodias dias ");}?></td>
    <td><? echo fechacorta($fini);?></td>
    <td>Por pagar</td>
    <td><input name="deposito" type="text" class="caja" id="renta<?echo$y?>" readonly value="<?echo moneda($deposito).$moneda;?>">
             <input type="hidden" name="rentas" id="rentas<?echo$y;?>" value="<?echo$deposito;?>">
			 <input type="hidden" name="fi" id="fi<?echo$y;?>" value="<?echo$fini;?>">
			 <input type="hidden" name="fs" id="fs<?echo$y;?>" value="<?echo$ffin;?>">
</td>
    <td align="center"><input type="checkbox" name="checkbox4" id="check<?echo$y;?>" onclick="javascript:suma()"></td>
  </tr>
  <?
  $fecha=$fini;
  if($anios>0){ $anios1=$anios*12;
  for($x=1;$x<=$anios1;$x++){
  $y++;
  ?>
  <tr>
    <td >Renta</td>
    <td >1 mes</td>
    <td >
	<?
	echo fechacorta($fecha)."/";
	 $nuevafecha = strtotime ( '+1 month' , strtotime ( $fecha ) ) ;
     $fecha = date ( 'Y-m-j' , $nuevafecha );
    echo fechacorta($fecha);
	?></td>
    <td >Por pagar</td>
    <td ><input name="renta<?echo$y?>" type="text" class="caja" id="renta<?echo$y?>" readonly value="<?echo moneda($mensualcondesc).$moneda;?>">
<input type="hidden" name="rentas" id="rentas<?echo$y;?>" value="<?echo$mensualcondesc;?>">	
</td>
    <td width="39" align="center"><input type="checkbox" name="checkbox3" id="check<?echo$y;?>" onclick="javascript:suma()"></td>
  </tr>
 <?
 }
} ?>
  <?
  if($meses>0){
  for($x=1;$x<=$meses;$x++){
  $y++;
  ?>
  <tr>
    <td width="285">Renta</td>
    <td width="155">1 mes</td>
    <td width="175"><? echo "".fechacorta($fecha)."/";
	 $nuevafecha = strtotime ( '+1 month' , strtotime ( $fecha ) ) ;
     $fecha = date ( 'Y-m-j' , $nuevafecha );
    echo fechacorta($fecha);?></td>
    <td width="110">Por pagar</td>
    <td width="79"><input name="renta<?echo$y?>" type="text" class="caja" id="renta<?echo$y?>" readonly value="<?echo moneda($mensualcondesc).$moneda;?>">
<input type="hidden" name="rentas" id="rentas<?echo$y;?>" value="<?echo$mensualcondesc;?>">	
</td>
    <td width="39" align="center"><input type="checkbox" name="checkbox3" id="check<?echo$y;?>" onclick="javascript:suma();"></td>
  </tr>
 <?
 } 
 }?>
   <?
  if($semred>0){
  $y++;
  ?>
  <tr>
    <td width="285">Renta</td>
    <td width="155"><? echo htmlentities("$semred semanas ");?></td>
    <td width="175"><?echo "".fechacorta($fecha)."/";
for($d=1;$d<=$semred;$d++)
{	
	$nuevafecha = strtotime ( '+7 day' , strtotime ( $fecha ) ) ;
     $fecha = date ( 'Y-m-j' , $nuevafecha );
} 
 echo fechacorta($fecha);?></td>
    <td width="110">Por pagar</td>
    <td width="79"><input name="renta<?echo$y?>" type="text" class="caja" id="renta<?echo$y?>" readonly value="<?echo moneda($semanalcondesc).$moneda;?>"><input type="hidden" name="rentas" id="rentas<?echo$y;?>" value="<?echo$semanalcondesc;?>"></td>
    <td width="39" align="center"><input type="checkbox" name="checkbox3" id="check<?echo$y;?>" onclick="javascript:suma()"></td>
  </tr>
 <?
 }?>
 <?
  if($restodias>0){
  $y++;
  ?>
  <tr>
    <td width="285">Renta</td>
    <td width="155"><? echo htmlentities("$restodias dias ");?></td>
    <td width="175"><? 
	echo "/".fechacorta($fecha)."/";
	for($d=1;$d<=$restodias;$d++)
{	
	$nuevafecha = strtotime ( '+1 day' , strtotime ( $fecha ) ) ;
     $fecha = date ( 'Y-m-j' , $nuevafecha );
} 
 echo fechacorta($fecha);?></td>
    <td width="110">Por pagar</td>
    <td width="79"><input name="renta<?echo$y?>" type="text" class="caja" id="renta<?echo$y?>" readonly value="<?echo moneda($nochalcondesc).$moneda;?>"><input type="hidden" name="rentas" id="rentas<?echo$y;?>" value="<?echo$nochalcondesc;?>"></td>
    <td width="39" align="center"><input type="checkbox" name="checkbox3" id="check<?echo$y;?>" onclick="javascript:suma()"></td>
  </tr>
 <?
 }?>
 <input type="hidden" value="<?echo$y;?>" name="tope" id="tope">
  <tr>
    <th colspan="6">Forma de pago</th>
    </tr>
  <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td colspan="2">Elige la forma de pago</td>
    <td><select name="select" id="select">
      <option value="deposito">Deposito</option>
      <option value="paypal">Pay pal</option>
    </select></td>
    <td align="center"></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <th>Total a pagar</th>
    <td>$<input name="totalapagar" type="text" class="caja" id="totalapagar" size="6" readonly><?echo $moneda;?>
<input name="moneda" type="hidden" class="caja" id="moneda" size="6" value="<?echo $moneda;?>">
</td>
    <td><input type="submit" name="button" id="button" value="Siguiente"></td>
  </tr>
  <tr>
    <td height="48" colspan="6" align="right">&nbsp;</td>
  </tr>
</table>
</form>
</center>
</body>
</html>